Documentation
Tables

List user public tables

Return the list of public table entries for a given user (no auth required). The filter query is a glob-style key pattern (* wildcard), e.g. public.favorites.*.

GET
/api/users/{id}/public

Path Parameters

id*string

Query Parameters

limit?integer
Default20
Rangevalue <= 100
offset?integer
Default0
filter?string

Glob-style key pattern (* wildcard). public.favorites.* returns only favorites.

Lengthlength <= 200

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/users/string/public"
{
  "data": {
    "items": [
      {
        "key": "public.favorites",
        "mime": "application/json+favorite",
        "hash": "a3f1...",
        "updated_at": 1680000000000
      }
    ],
    "limit": 20,
    "offset": 0,
    "total": 5
  },
  "error": null,
  "time": 1680000000000,
  "request": "/api/endpoint"
}
{
  "data": null,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found.",
    "status": 404
  },
  "time": 1680000000000,
  "request": "/api/endpoint"
}
{
  "data": null,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found.",
    "status": 404
  },
  "time": 1680000000000,
  "request": "/api/endpoint"
}
{
  "data": null,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found.",
    "status": 404
  },
  "time": 1680000000000,
  "request": "/api/endpoint"
}